Repocop reports by srpm

  rpm id test status message
libxmlsec1-gcrypt-1.2.28-alt1.x86_64 altlinux-policy-shared-lib-contains-devel-so info SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libxmlsec1-gcrypt.so but just /usr/lib64/libxmlsec1-gcrypt.so.1.2.28. According to SharedLibs Policy Draft, symlink /usr/lib64/libxmlsec1-gcrypt.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libxmlsec1-gcrypt.so to \%files of libxmlsec1-gcrypt-1.2.28-alt1.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.
libxmlsec1-gnutls-1.2.28-alt1.x86_64 altlinux-policy-shared-lib-contains-devel-so info SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libxmlsec1-gnutls.so but just /usr/lib64/libxmlsec1-gnutls.so.1.2.28. According to SharedLibs Policy Draft, symlink /usr/lib64/libxmlsec1-gnutls.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libxmlsec1-gnutls.so to \%files of libxmlsec1-gnutls-1.2.28-alt1.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.
libxmlsec1-nss-1.2.28-alt1.x86_64 altlinux-policy-shared-lib-contains-devel-so info SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libxmlsec1-nss.so but just /usr/lib64/libxmlsec1-nss.so.1.2.28. According to SharedLibs Policy Draft, symlink /usr/lib64/libxmlsec1-nss.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libxmlsec1-nss.so to \%files of libxmlsec1-nss-1.2.28-alt1.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.
libxmlsec1-openssl-1.2.28-alt1.x86_64 altlinux-policy-shared-lib-contains-devel-so info SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libxmlsec1-openssl.so but just /usr/lib64/libxmlsec1-openssl.so.1.2.28. According to SharedLibs Policy Draft, symlink /usr/lib64/libxmlsec1-openssl.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libxmlsec1-openssl.so to \%files of libxmlsec1-openssl-1.2.28-alt1.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.

generated by repocop at Sun Feb 16 04:44:48 2020